<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
    use Modules\Lpj\Models\JenisFasilitasKredit;
    use Modules\Lpj\Models\NilaiPlafond;

    return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('permohonan', function (Blueprint $table) {
            $table->foreignIdFor(JenisFasilitasKredit::class)->nullable()->onDelete('cascade');
            $table->foreignIdFor(NilaiPlafond::class)->nullable()->onDelete('cascade');
            $table->string('status')->default('order')->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('permohonan', function (Blueprint $table) {
            $table->dropForeign(['fasilitas_kredit_id']);
            $table->dropForeign(['nilai_plafond_id']);
        });
    }
};
